curl --request GET \
--url 'https://api.stateset.com/api/v1/stock-snapshots' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"snapshots": [
{
"captured_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"label": "Replacement tent pole set",
"total_skus": 1,
"total_units": "string"
}
],
"total": 102
}
List stock snapshots
List stock snapshots
GET
/
api
/
v1
/
stock-snapshots
curl --request GET \
--url 'https://api.stateset.com/api/v1/stock-snapshots' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"snapshots": [
{
"captured_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"label": "Replacement tent pole set",
"total_skus": 1,
"total_units": "string"
}
],
"total": 102
}
Query parameters
integer (int32)
integer (int32)
Response
SnapshotListResponse
SnapshotSummary[]
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/stock-snapshots' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"snapshots": [
{
"captured_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"label": "Replacement tent pole set",
"total_skus": 1,
"total_units": "string"
}
],
"total": 102
}
Last modified on August 31, 2026